# NativeDependencySet

@Incubating
interface NativeDependencySet

Models a collection of native type dependencies.

## Functions

getIncludeRoots
Link copied to clipboard
abstract fun getIncludeRoots(): FileCollection
Returns the header file directories to use at compile time.
getLinkFiles
Link copied to clipboard
abstract fun getLinkFiles(): FileCollection
Returns the files to use at link time.
getRuntimeFiles
Link copied to clipboard
abstract fun getRuntimeFiles(): FileCollection
Returns the files to use at runtime.